# Getting an address

By using this method you can:

* Get the address for the user in the specified coin and network. When the request is repeated, the previously created address is returned, which will have `isActive: true`
* Generate a new address for the user in the specified coin and network, when specifying the parameter `renewAddress`. The new address will have `isActive: true`, previously generated addresses with the same coin and network will have `isActive: false`

Note: At any time, a user can have only one active address in particular coin and network. Deposits and withdrawals work at all addresses, regardless of the parameter `isActive`

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/api-gateway/personal-addresses/get-user-address" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/personal_addresses/post_get-user-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
